Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Require Jackson 2.6+, FreeMarker 2.3.21+, XStream 1.4.5+ [SPR-13062] #17654

Closed
spring-issuemaster opened this issue May 22, 2015 · 0 comments

Comments

Projects
None yet
2 participants
@spring-issuemaster
Copy link
Collaborator

commented May 22, 2015

Juergen Hoeller opened SPR-13062 and commented

  • Jackson 2.6 went GA in July 2015, almost a year ago by the time of our 4.3 GA release. Let's get rid of the reflective checks and deprecated method calls in MappingJackson2MessageConverter and AbstractJackson2HttpMessageConverter.

  • FreeMarker 2.3.21 was released in October 2014, as a rather major update. Let's get rid of the deprecated method calls in FreeMarkerConfigurationFactory and FreeMarkerView.

  • XStream 1.4.5 was released in September 2013. Let's finally require it and get rid of the deprecated constructor call in XStreamMarshaller.


Issue Links:

  • #15887 Require Jackson 2.1+, Quartz 2.1.4+, EhCache 2.5+
  • #19617 Spring MVC 4.3.5's Jackson auto-configuration breaks against Jackson 2.3.3 on the classpath
  • #18301 Revise AbstractJackson2HttpMessageConverter's generic type adaptation
  • #18919 SpringHandlerInstantiator should support all HandlerInstantiator-provided factory methods
  • #17804 As of Jackson 2.6 the module class supporting the java.time (java8) package has changed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.